Subject: Re: serial console

From: David Jander <[email-masked]>
Date: Wed, 5 Oct 2005 11:16:20 +0200

On Tuesday 04 October 2005 17:16, Vitaly Bordug wrote:
> Yes, but PQ2FADS use cpm_uart and hence the commandline should be
> console=ttyCPM0,115200

You are totally right. I did that same mistake once in the past and again now. 
Shame on me ;-)
Now that I remeber, this might give trouble if you happen to use a normal uart 
(16550 or similar) also, and devfs. I had to slightly hack serial.c in my 
version of the kernel for this combination to work. I don't remeber right now 
exactly what I did, but it had to do with "SERIAL_DEV_OFFSET" and major/minor 
numbers ;-)
Anyway, I don't think your board has this combination.

Greetings,

-- 
David Jander